Skip to main content
GET
Obtain the status of a specific bridge transaction

Authorizations

Authorization
string
header
required

JWT token for authentication

Path Parameters

bridgeId
string
required

The ID of the bridge transaction, also referred to as quoteId within the POST /quote/user endpoint, e.g. "665f8b2e1c9d440000a1b2c3".

Response

BridgePending

_id
string
required
userId
string
required

The projectID that the transaction is associated with.

chainIn
string
required

The blockchain that the tokens were bridged from.

chainOut
string
required

The blockchain that the tokens were bridged to.

amountIn
string
required

The native value of the tokens that were sent on the chainIn.

amountInUsd
number
required

The USD value of the tokens that were sent on the chainIn.

amountOut
string
required

The native value of the tokens that were sent on the chainOut.

amountOutUsd
number
required

The USD value of the tokens that were sent on the chainOut.

amountNative
string | null
required

The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately.

amountNativeUsd
number | null
required

The value, in USD, of amountNative.

fee
string
required

The total cost of the transaction as paid by the end customer, denominated in the token.

feeUsd
number
required

The total cost, in USD, of the transaction.

gasFee
string
required

Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero.

gasFeeUsd
number
required

The gasFee value, in USD.

platformFee
string
required

The resulting fee charged from the $-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end.

platformFeeUsd
number
required

The platformFee value, in USD.

percentageFee
string
required

The resulting fee charged from the %-based Client Surcharge. This is applicable to both legacy and PAYG/Subscription clients. For legacy clients this is deducted from the tokens sent on the chainOut and will be sent to the client at month end. For PAYG/Subscription clients this will be rebated at month end.

percentageFeeUsd
number
required

The percentageFee value, in USD.

sourceGasFee
string
required

The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction.

sourceGasFeeUsd
number
required

The sourceGasFee value, in USD.

sponsoredFees
object
required

For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer.

recipient
string
required

The address on the chainOut that received the bridged tokens.

depositor
string
required

The address on the chainIn that sent the tokens for bridging.

createdAt
string
required

The datetime that the bridging / bridging+swapping quote was created.

commitmentDate
string
required

The datetime that the bridging / bridging+swapping quote was committed with Rhino.fi.

token
string
required

The asset being bridged, sent on the chainIn and received on the chainOut.

usdPrice
number
required

The USD price of the token at the time the quote was created.

state
enum<string>
required
Available options:
PENDING
speed
enum<string>

Provides information about whether the transaction is expected to be completed "fast" (typically under 30 seconds), "standard" (typically under a minute) or "slow" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed.

Available options:
fast,
standard,
slow
estimatedDuration
number

The estimated time for the transaction to complete in milliseconds.

Required range: x >= 0
postBridgeData
object

Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.

flowCredits
number

The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier.

_tag
enum<string>
Available options:
bridge